#ifndef CORE_CORE_H
#define CORE_CORE_H

#include "pipeface/pipeface.h"
#include "net/sock.h"




void coreInit(void);
void coreAddInSock(SockHandle *sh, int *result);
PipeFace *coreMakeConnection(int retries);
void coreSwapPipeFace(PipeFace *oldpf, PipeFace *newpf);
int coreMainLoop(void);
void coreMainPoll(int shortdelay);


void coreProcessMessageQueue(void);
void coreProcessPipeFace(void);
int coreStart(void);

#endif //CORE_CORE_H
